package com.example.fieldagent.ui.damagedetails

import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ArrayAdapter
import androidx.navigation.fragment.findNavController
import androidx.recyclerview.widget.LinearLayoutManager
import com.example.fieldagent.R
import com.example.fieldagent.databinding.FragmentDamageDetailsBinding
import com.example.fieldagent.databinding.FragmentDamageListBinding
import com.example.fieldagent.ui.damagedetails.adapter.DamageDetailsAdapter
import com.example.fieldagent.ui.homescreen.adapter.HomeAdapter


class DamageDetailsFragment : Fragment() {


    private var _binding: FragmentDamageDetailsBinding? = null

    private val binding get() = _binding!!
    private lateinit var adapter: DamageDetailsAdapter
    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        _binding = FragmentDamageDetailsBinding.inflate(inflater, container, false)
        return binding.root
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        adapter = DamageDetailsAdapter()
        binding.rvImage.layoutManager=
            LinearLayoutManager(requireActivity(), LinearLayoutManager.HORIZONTAL, false)
        binding.rvImage.adapter = adapter


        val options = resources.getStringArray(R.array.mainItem).toList()
        val adapter = ArrayAdapter(requireActivity(), R.layout.dropdown_item, options)

        binding.autoCompleteMain.setAdapter(adapter)

        binding.autoCompleteMain.setOnClickListener {

            binding.autoCompleteMain.showDropDown()
        }


        val options2 = resources.getStringArray(R.array.SubItem).toList()
        val adapter2 = ArrayAdapter(requireActivity(), R.layout.dropdown_item, options2)

        binding.autoCompleteSub.setAdapter(adapter2)

        binding.autoCompleteSub.setOnClickListener {

            binding.autoCompleteSub.showDropDown()
        }


        binding.ivLeft.setOnClickListener {

            findNavController().popBackStack()
        }
    }

    override fun onDestroyView() {
        super.onDestroyView()
        _binding = null
    }
}