package com.example.fieldagent.ui.damagelist

import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.navigation.fragment.findNavController
import androidx.recyclerview.widget.LinearLayoutManager
import com.example.fieldagent.R
import com.example.fieldagent.databinding.FragmentAddSiteBinding
import com.example.fieldagent.databinding.FragmentDamageListBinding
import com.example.fieldagent.ui.damagedetails.adapter.DamageDetailsAdapter
import com.example.fieldagent.ui.damagelist.adapter.DamageListAdapter


class DamageListFragment : Fragment() {

    private var _binding: FragmentDamageListBinding? = null

    private val binding get() = _binding!!

    private lateinit var adapter: DamageListAdapter
    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        _binding = FragmentDamageListBinding.inflate(inflater, container, false)
        return binding.root
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        adapter = DamageListAdapter()
        binding.rvDamageList.adapter = adapter

        binding.llBtn.setOnClickListener{
            findNavController().navigate(R.id.damageDeatilsFragment)
        }
        binding.ivLeft.setOnClickListener {

            findNavController().popBackStack()
        }
    }

    override fun onDestroyView() {
        super.onDestroyView()
        _binding = null
    }
}